Package ec.eda.dovs

# Class DOVSFitness

java.lang.Object
ec.Fitness
ec.simple.SimpleFitness
ec.eda.dovs.DOVSFitness

All Implemented Interfaces:
  `Prototype`, `Setup`, `Serializable`, `Cloneable`, `Comparable<Object>`

public class DOVSFitness extends SimpleFitness
DOVSFitness is a subclass of Fitness which implements contains important statistics about simulation results of the individual. These statistics will be used to determine the total simulation number that are necessary for a individual. And we hope after such number of simulations are done, we have high confidence of the fitness value of the individual.

Default Base
dovs.fitness

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `double`
  `mean`
  Mean fitness value of the current individual.
  `int`
  `numOfObservations`
  Number of evaluation have been performed on this individual.
  `double`
  `sum`
  Sum of the all the fitness value with all the evaluation.
  `double`
  `sumSquared`
  Sum of the all the squared fitness value with all the evaluation.
  `double`
  `variance`
  Variance of the fitness value of the current individual.

  ### Fields inherited from class ec.simple.SimpleFitness

  `isIdeal`

  ### Fields inherited from class ec.Fitness

  `context, FITNESS_PREAMBLE, P_FITNESS, trials`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DOVSFitness()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `numOfObservations()`
  Return the number of simulation have done with current individual.
  `double`
  `recordObservation(EvolutionState state, double result)`
  Record the result of the new simulation.
  `void`
  `reset()`
  Reset the fitness to initial status.
  `void`
  `setup(EvolutionState state, Parameter base)`
  Sets up the object by reading it from the parameters stored in state, built off of the parameter base base.

  ### Methods inherited from class ec.simple.SimpleFitness

  `betterThan, defaultBase, equivalentTo, fitness, fitnessToString, fitnessToStringForHumans, isIdealFitness, readFitness, readFitness, setFitness, setFitness, setToMeanOf, writeFitness`

  ### Methods inherited from class ec.Fitness

  `clone, compareTo, contextIsBetterThan, getContext, merge, printFitness, printFitness, printFitness, printFitnessForHumans, printFitnessForHumans, readTrials, setContext, setContext, setToBestOf, setToMedianOf, writeTrials`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### sumSquared

    public double sumSquared
    Sum of the all the squared fitness value with all the evaluation.

  - ### sum

    public double sum
    Sum of the all the fitness value with all the evaluation.

  - ### mean

    public double mean
    Mean fitness value of the current individual.

  - ### numOfObservations

    public int numOfObservations
    Number of evaluation have been performed on this individual.

  - ### variance

    public double variance
    Variance of the fitness value of the current individual.

- ## Constructor Details

  - ### DOVSFitness

    public DOVSFitness()

- ## Method Details

  - ### setup

    public void setup(EvolutionState state, Parameter base)
    Description copied from interface: `Prototype`
    Sets up the object by reading it from the parameters stored in state, built off of the parameter base base. If an ancestor implements this method, be sure to call super.setup(state,base); before you do anything else.

    For prototypes, setup(...) is typically called once for the prototype instance; cloned instances do not receive the setup(...) call. setup(...) may be called more than once; the only guarantee is that it will get called at least once on an instance or some "parent" object from which it was ultimately cloned.

    Specified by:
      `setup` in interface `Prototype`
    Specified by:
      `setup` in interface `Setup`
    Overrides:
      `setup` in class `SimpleFitness`

  - ### reset

    public void reset()
    Reset the fitness to initial status.

  - ### numOfObservations

    public int numOfObservations()
    Return the number of simulation have done with current individual.

  - ### recordObservation

    public double recordObservation(EvolutionState state, double result)
    Record the result of the new simulation. This will update some of the statistics of the current fitness value.